== Changelog ==

= 1.3.1 - 2017-10-10 =

- ADDED: Farsi language files.
- IMPROVED: Delete the Widget cache changing the widget settings.
- FIXED: Sticky logo image on the mobiles.
- And Improvements and minor bug fixes.

# Files Updated
functions.php
rtl.css
style.css
css/style.css
css/style.min.css
css/woocommerce.css
css/woocommerce.min.css
framework/admin/auto-update.php
framework/admin/framework-notices.php
framework/admin/framework-system-status.php
framework/admin/framework-validation.php
framework/admin/page-builder-widgets.php
framework/admin/switcher.php
framework/admin/theme-options.php
framework/admin/post-options/sidebar.php
framework/admin/theme-options/amp.php
framework/admin/theme-options/footer.php
framework/footers/footer-instagram.php
framework/functions/mega-menus.php
framework/functions/mobile.php
framework/functions/speeder.php
framework/functions/theme-functions.php
framework/parts/not-found.php
framework/widgets/google.php
framework/widgets/instagram.php
framework/widgets/weather.php
js/scripts.js
languages/ar.mo
languages/ar.po
languages/fa_IR.mo
languages/fa_IR.po
languages/jannah.pot


-------------------------------------------------------------------------

= 1.3.0 - 2017-10-03 =

- New: Automatic theme update feature.
- New: Edit Post link in the end of the post.
- New: Button to revoke the theme validation in order to use the license on another domain.
- New: Animated appearance for the Sticky Logo.
- IMPROVED: Lazy Load for in-post images.
- IMPROVED: Mega menu functions.
- IMPROVED: Mega menu and footer custom colors.
- IMPROVED: Sections custom margins in the responsive version.
- IMPROVED: Default Logo margins in the Header Layout 3.
- FIXED: Gif User's avatar size bug.
- FIXED: Some HTML markup validation issues.
- FIXED: Display the post's author name and avatars in some posts layouts bug.
- FIXED: WooCommerce product's gallery height bug.
- And Improvements and minor bug fixes.

# Files Updated
functions.php
single.php
style.css
rtl.css
css/style.css
css/style.min.css
css/woocommerce.css
css/woocommerce.min.css
framework/admin/auto-update.php
framework/admin/demo-importer.php
framework/admin/framework-admin.php
framework/admin/framework-help-links.php
framework/admin/framework-notices.php
framework/admin/framework-options.php
framework/admin/framework-validation.php
framework/admin/framework-welcome.php
framework/admin/menu-limit-detector.php
framework/admin/switcher.php
framework/admin/theme-options.php
framework/admin/update-notifier.php
framework/admin/updates.php
framework/admin/assets/style.css
framework/admin/assets/tie.js
framework/admin/post-options/e3lan.php
framework/admin/theme-options/advanced.php
framework/admin/theme-options/header.php
framework/admin/theme-options/styling.php
framework/admin/theme-options/web-notifications.php
framework/functions/formating.php
framework/functions/images.php
framework/functions/mega-menus.php
framework/functions/setup.php
framework/functions/theme-functions.php
framework/headers/header-components.php
framework/headers/header-main-nav.php
framework/headers/header-posts-layout.php
framework/parts/featured.php
js/scripts.js
js/scripts.min.js


-------------------------------------------------------------------------

= 1.2.2 - 2017-09-17 =

- FIXED: Post views PHP notice after publishing the post.
- FIXED: IE styling issues.
- FIXED: LazyLoad issues on Chrome v61.
- And Improvements and minor bug fixes.

# Files Updated
functions.php
rtl.css
style.css
css/ie-lte-11.css
css/style.css
css/style.min.css
framework/admin/framework-admin.php
framework/admin/framework-validation.php
framework/functions/post-views.php
framework/functions/setup.php
framework/functions/theme-functions.php
framework/plugin-integrations/jetpack.php
js/scripts.js
js/scripts.min.js
js/sliders.js
js/sliders.min.js


-------------------------------------------------------------------------

= 1.2.1 - 2017-09-15 =

- IMPROVED: Compatibility with the Fast Velocity Minify plugin.
- IMPROVED: Compatibility with the JS & CSS Script Optimizer plugin.
- IMPROVED: Demo importer logs.
- FIXED: LazyLoad images in the Custom slider bug.
- FIXED: Bug when Loading the internal documentation pages in the dashboard on the SSL websites.
- FIXED: Javascript issue with IE and Safari on Windows.
- FIXED: 505 error when importing the demos while the xmlreader module is disabled.
- And Improvements and minor bug fixes.

# Files Updated
functions.php
style.css
css/style.css
css/style.min.css
framework/admin/framework-system-status.php
framework/admin/inc/one-click-demo-import/one-click-demo-import.php
framework/admin/inc/one-click-demo-import/vendor/humanmade/WordPress-Importer/class-wxr-importer.php
framework/functions/theme-functions.php
js/sliders.js
js/sliders.min.js


-------------------------------------------------------------------------

= 1.2.0 - 2017-09-11 =

- New: 3 typography options to customize the posts titles in the sliders.
- NEW: LazyLoad for the Sliders images.
- NEW: LazyLoad for Videos images in the Videos Playlist.
- NEW: Show/Hide the Automatic Featured Image for the standard posts now works on the AMP pages.
- NEW: Added More texts to translations panel.
- NEW: Integration with the Jetpack Stats module.
- NEW: Integration with the WordPress Social Login plugin, now you can use the login social buttons with the theme's Login sections.
- NEW: Integration with the Google Captcha (reCAPTCHA) plugin, now you can add the reCAPTCHA to the theme's Login sections.
- NEW: Responsive in-post tables with an option to disable it in case you want to use a custom plugin.
- NEW: AMP WhatsApp share button.
- NEW: AMP Tumblr share button.
- NEW: AMP SMS share button.
- NEW: The new Audio, Video and Image widgets are now available in the TieLabs Page builder Widgets section.
- NEW: Export and Import module for the theme options.
- NEW: Logo in the Sticky menu for all headers layouts.
- NEW: Option to set a custom sticky logo image.
- NEW: Option to set the number of posts in the Check Also block.
- NEW: 7 Arabic fonts added from FontFace.me.
- NEW: Most viewed Posts for 7 days option in the posts widget.
- NEW: Most viewed Posts for 30 days option in the posts widget.
- NEW: Option to show/hide the MENU text for the mobile menu icon.
- NEW: Help links in the theme options.
- NEW: Add supports for the Private posts in the blocks.
- NEW: Now the theme highlights the primary category only in the main nav.
- NEW: Recommended Plugins section in the Install plugins page.
- NEW: Notice message when a new update is available for a bundled plugin.
- NEW: Add shortcode support for the featured image's caption.
- NEW: Page builder Blocks now shows the child categories posts.
- NEW: Now terms descriptions supports Shortcodes.
- IMPROVED: Changed the Schema default type value of the posts to Article.
- IMPROVED: Tabs Widget backend sortable function.
- IMPROVED: BuddyPress form styles.
- IMPROVED: WooCommerce styles.
- IMPROVED: The LazyLoad image feature of the Avatars.
- IMPROVED: BreadCrumbs support for the CPT.
- IMPROVED: Post views system excludes the bots visits.
- FIXED: Vertical Tabs Shortcode bug.
- FIXED: AMP validation issue in the RTL version.
- FIXED: Delete/Close buttons in the Page Builder Widgets.
- FIXED: Mega Menu bug on tablets.
- FIXED: Breadcrumbs bug if the post doesn't have a category.
- FIXED: Javascript conflict with the plugins use the jQuery UI tooltip.
- FIXED: Masonry page categories issue.
- FIXED: Breaking News Typography option bug.
- FIXED: A conflict with the wp user avatars plugin.
- FIXED: A conflict with the Author Image plugin.
- FIXED: LazyLoad Avatars in the WooCommerce reviews bug.
- FIXED: Hide thumbs option for the Block #1.
- FIXED: External videos position in the default WordPress Videos widget in the RTL.
- FIXED: Social icons alignment in the RTL About Widget.
- FIXED: Web safe fonts bug.
- FIXED: Block title custom color bug.
- And Improvements and minor bug fixes.

# Files Updated
functions.php
rtl.css
style.css
css/buddypress.css
css/buddypress.min.css
css/style.css
css/style.min.css
css/woocommerce.css
css/woocommerce.min.css
framework/widgets.php
framework/admin/demo-importer.php
framework/admin/framework-admin.php
framework/admin/framework-help-links.php
framework/admin/framework-notices.php
framework/admin/framework-options.php
framework/admin/framework-welcome.php
framework/admin/page-builder-widgets.php
framework/admin/posts-options.php
framework/admin/required-plugins.php
framework/admin/theme-options.php
framework/admin/updates.php
framework/admin/assets/page-widgets.js
framework/admin/assets/style.css
framework/admin/assets/tie.js
framework/admin/category-options/menu.php
framework/admin/inc/tgm/class-tgm-plugin-activation.php
framework/admin/post-options/menu.php
framework/admin/theme-options/advanced.php
framework/admin/theme-options/amp.php
framework/admin/theme-options/archives.php
framework/admin/theme-options/background.php
framework/admin/theme-options/backup.php
framework/admin/theme-options/bbpress.php
framework/admin/theme-options/e3lan.php
framework/admin/theme-options/footer.php
framework/admin/theme-options/general.php
framework/admin/theme-options/header.php
framework/admin/theme-options/layout.php
framework/admin/theme-options/lightbox.php
framework/admin/theme-options/logo.php
framework/admin/theme-options/mobile.php
framework/admin/theme-options/posts.php
framework/admin/theme-options/share.php
framework/admin/theme-options/sidebars.php
framework/admin/theme-options/social.php
framework/admin/theme-options/styling.php
framework/admin/theme-options/translations.php
framework/admin/theme-options/typography.php
framework/admin/theme-options/web-notifications.php
framework/admin/theme-options/woocommerce.php
framework/functions/breadcrumbs.php
framework/functions/foxpush.php
framework/functions/images.php
framework/functions/mega-menus.php
framework/functions/mobile.php
framework/functions/page-templates.php
framework/functions/pagenavi.php
framework/functions/post-views.php
framework/functions/setup.php
framework/functions/social.php
framework/functions/theme-functions.php
framework/functions/translations.php
framework/headers/header-main-nav.php
framework/loops/loop-default.php
framework/parts/featured.php
framework/parts/post-featured.php
framework/parts/post-fly-box.php
framework/parts/video-list.php
framework/plugin-integrations/amp.php
framework/plugin-integrations/jetpack.php
framework/plugin-integrations/load.php
framework/plugin-integrations/amp-templates/style.php
framework/widgets/posts.php
framework/widgets/slider.php
framework/widgets/tabs.php
images/tie-empty-square.png
js/scripts.js
js/scripts.min.js
js/sliders.js
js/sliders.min.js


-------------------------------------------------------------------------

= 1.1.1 - 2017-07-25 =

- IMPROVED: LazyLoad for the user's avatar.
- IMPROVED: WooCommerce elements Styling.
- IMPROVED: Mobile menu spacing.
- IMPROVED: Comments section styles.
- IMPROVED: Twitter videos style.
- IMPROVED: Cart and BuddyPress notifications bubble style.
- IMPROVED: Special chars support in the Story Highlights, source, and Via modules.
- IMPROVED: PHP 7 Compatibility.
- FIXED: Web Notification bug.
- FIXED: Bug in the Post views module.
- FIXED: Custom RSS URL bug.
- FIXED: Index Shortcode bug with the non-latin languages.
- FIXED: Styling conflict with the LiveBlog plugin.
- FIXED: HTML codes issue in the og:description meta.
- FIXED: Misspelled words.
- FIXED: AMP Facebook share button bug.
- FIXED: Sliders Blocks styling issue on FireFox.
- And Improvements and minor bug fixes.

# Files Updated
functions.php
rtl.css
single.php
style.css
css/style.css
css/style.min.css
css/woocommerce.css
css/woocommerce.min.css
framework/admin/demo-importer.php
framework/admin/framework-admin.php
framework/admin/framework-system-status.php
framework/admin/framework-validation.php
framework/admin/posts-options.php
framework/admin/assets/style.css
framework/admin/assets/tie.js
framework/admin/assets/images/foxpush.svg
framework/admin/inc/one-click-demo-import/one-click-demo-import.php
framework/admin/post-options/general.php
framework/admin/theme-options/social.php
framework/admin/theme-options/web-notifications.php
framework/functions/formating.php
framework/functions/foxpush.php
framework/functions/images.php
framework/functions/open-graph.php
framework/functions/post-views.php
framework/functions/setup.php
framework/functions/social.php
framework/functions/theme-functions.php
framework/functions/translations.php
framework/headers/header-components.php
framework/plugin-integrations/amp.php
framework/plugin-integrations/woocommerce.php
framework/plugin-integrations/amp-templates/style.php
js/scripts.js
js/scripts.min.js
languages/ar.mo
languages/ar.po
languages/jannah.pot


-------------------------------------------------------------------------

= 1.1.0 - 2017-07-10 =

- NEW: Introducing our Jannah Switcher Plugin now you can migrating your posts from 17 themes to Jannah.
- NEW: Option to set a custom RSS feed URL.
- NEW: Option to embed Audio code.
- NEW: Unlimited Source and Via options.
- NEW: Facebook Videos support.
- NEW: Twitter Videos support.
- NEW: Option to set the page as a front page directly from the edit page.
- IMPROVED: Disallow switching to Jannah if the current PHP version in prior 5.3.
- IMPROVED: The Images quality in the full-width mode for blocks: #4, #11, #12 and #15.
- IMPROVED: Theme options page speed.
- IMPROVED: Post Content images lazy load.
- FIXED: Bug prevents the Permalink edit section from appearing when adding a new post.
- FIXED: Post Layout 8 background bug.
- FIXED: Adsense Ad styling issue in the post content area.
- FIXED: Twitter share button is changing to the official button if the Twitter Js file is loaded in the page.
- FIXED: Mobile menu issue when the "Hidding Heading" option is active.
- FIXED: Comments section title translation bug.
- FIXED: Bug in the Slideshow shortcode.
- FIXED: Youtube Widget styling bug in the RTL.
- And Improvements and minor bug fixes.

# Files Updated
rtl.css
style.css
single.php
comments.php
functions.php
css/bbpress.css
css/style.css
css/style.min.css
framework/blocks.php
framework/admin/framework-admin.php
framework/admin/framework-notices.php
framework/admin/framework-options.php
framework/admin/framework-system-status.php
framework/admin/framework-validation.php
framework/admin/posts-options.php
framework/admin/required-plugins.php
framework/admin/switcher.php
framework/admin/theme-options.php
framework/admin/updates.php
framework/admin/assets/style.css
framework/admin/assets/tie.js
framework/admin/category-options/category-layout.php
framework/admin/inc/tgm/class-tgm-plugin-activation.php
framework/admin/post-options/general.php
framework/admin/post-options/source-via.php
framework/admin/theme-options/advanced.php
framework/admin/theme-options/social.php
framework/admin/theme-options/typography.php
framework/functions/backward-compatibility.php
framework/functions/disable.php
framework/functions/formating.php
framework/functions/media.php
framework/functions/mega-menus.php
framework/functions/post-views.php
framework/functions/setup.php
framework/functions/social.php
framework/functions/styles-footer.php
framework/functions/styling.php
framework/functions/theme-functions.php
framework/functions/translations.php
framework/functions/wp-helper-functions.php
framework/headers/header-posts-layout.php
framework/loops/loop-default.php
framework/loops/loop-full_thumb.php
framework/loops/loop-large_above.php
framework/loops/loop-large_first.php
framework/loops/loop-overlay-title.php
framework/parts/archives.php
framework/parts/page-head.php
framework/parts/post-featured.php
framework/parts/post-share.php
framework/plugin-integrations/amp.php
js/scripts.js
js/scripts.min.js
languages/ar.mo
languages/ar.po
languages/jannah.pot


-------------------------------------------------------------------------

= 1.0.3 - 2017-07-01 =

- IMPROVED: BuddyPress Profile page link in the Login widget.
- IMPROVED: WooCommerce Elements Styles.
- IMPROVED: Post Layout 8 with header 3 when the below header ad is active.
- IMPROVED: AMP RTL elements styles.
- IMPROVED: 'Story Highlights' text added to the translations panel.
- IMPROVED: Amp Related posts module now uses the amp links for the posts
- IMPROVED: New option to disable the theme's AMP functionality in case you want to use a 3d party plugin.
- FIXED: AMP validations errors.
- FIXED: Saving Page error when the page builder margin fields contain a negative number.
- FIXED: Archive title bug.
- FIXED: Estimated Reading time issue with non-latin languages.
- FIXED: Hide Mega Menu sub-titles option in the mobile menu.
- Fixed: Missing the icons and text labels in the Mobile menu.
- FIXED: Missing some translation texts in the live search module.
- FIXED: Images Lazyload bug with the Elementor plugin.
- FIXED: Images Lazyload bug with the Jetpack plugin.
- FIXED: Installing plugins updates on some servers.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/bbpress.css
- css/buddypress.css
- css/buddypress.min.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/admin/demo-importer.php
- framework/admin/framework-admin.php
- framework/admin/framework-options.php
- framework/admin/framework-validation.php
- framework/admin/required-plugins.php
- framework/admin/updates.php
- framework/admin/assets/style.css
- framework/admin/theme-options/amp.php
- framework/functions/formating.php
- framework/functions/images.php
- framework/functions/mega-menus.php
- framework/functions/setup.php
- framework/functions/styles-footer.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/headers/header-main-nav.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/woocommerce.php
- framework/plugin-integrations/amp-templates/featured-image.php
- framework/plugin-integrations/amp-templates/footer.php
- framework/plugin-integrations/amp-templates/header-bar.php
- framework/plugin-integrations/amp-templates/style.php


-------------------------------------------------------------------------

= 1.0.2 - 2017-06-26 =

- IMPROVED: Compatibility with WordPress 4.6.0 and below.
- IMPROVED: Compatibility with PHP 7.1.1.
- IMPROVED: .slider-nav class name changed to avoid any conflicts with 3d party plugins.
- IMPROVED: BuddyPress styling.
- IMPROVED: Highlight for the parent menu item of current item.
- IMPROVED: Highlight for the sub menu active item.
- IMPROVED: Page's featured image now appears by default. 
- IMPROVED: Theme Wrappers for the Sensei plugin.
- FIXED: Post URL in the twitter share button.
- FIXED: Translation panel bug with the statements contain custom chars.
- FIXED: Missing Registration link in the login widget when using WordPress Multisite.
- FIXED: Scrolling block Javascript issue.
- FIXED: In post custom links color.
- FIXED: Conflict with the JetPack comments section.
- Fixed: Ajax pagination bug in the archives.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/buddypress.css
- css/buddypress.min.css
- css/ie-lt-10.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/blocks.php
- framework/admin/demo-importer.php
- framework/admin/framework-notices.php
- framework/admin/framework-system-status.php
- framework/admin/page-builder-widgets.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/inc/one-click-demo-import/one-click-demo-import.php
- framework/admin/inc/one-click-demo-import/inc/class-ocdi-widget-importer.php
- framework/admin/inc/one-click-demo-import/vendor/humanmade/WordPress-Importer/class-wxr-importer.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/translations.php
- framework/functions/ajax.php
- framework/functions/backward-compatibility.php
- framework/functions/formating.php
- framework/functions/open-graph.php
- framework/functions/setup.php
- framework/functions/theme-functions.php
- framework/parts/featured.php
- framework/parts/page-head.php
- framework/parts/post-featured.php
- framework/parts/post-share.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/buddypress.php
- framework/plugin-integrations/load.php
- framework/plugin-integrations/sensei.php
- framework/plugin-integrations/woocommerce.php
- framework/widgets/slider.php
- framework/widgets/twitter.php
- js/sliders.js
- js/sliders.min.js


-------------------------------------------------------------------------

= 1.0.1 - 2017-06-22 =

- IMPROVED: Notice message in the menu page for the max_input_vars configuration.
- IMPROVED: Styles of some elements.
- FIXED: Up-Sells section number of products.
- FIXED: Error bug in the Sahifa/Jarida Switch Bridge.
- FIXED: Post Slideshow bug when the minified plugin is active.
- REMOVED: Featured Videos widget. use the new Video widget in WordPress 4.8 instead.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- css/style.css
- css/style.min.css
- framework/widgets.php
- framework/admin/framework-admin.php
- framework/admin/framework-system-status.php
- framework/admin/menu-limit-detector.php
- framework/functions/backward-compatibility.php
- framework/functions/mega-menus.php
- framework/functions/woocommerce.php
- framework/widgets/video.php
- js/sliders.js
- js/sliders.min.js


-------------------------------------------------------------------------

= 1.0.0 - 2017-06-19 =

- First release